メインコンテンツへスキップ
GET
/
crm
/
objects
/
v3
/
{objectType}
フォーキャストを取得
curl --request GET \
  --url https://api.hubapi.com/crm/objects/v3/{objectType} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.hubapi.com/crm/objects/v3/{objectType}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.hubapi.com/crm/objects/v3/{objectType}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "results": [
    {
      "archived": true,
      "createdAt": "2023-11-07T05:31:56Z",
      "id": "<string>",
      "properties": {},
      "updatedAt": "2023-11-07T05:31:56Z",
      "archivedAt": "2023-11-07T05:31:56Z",
      "associations": {},
      "objectWriteTraceId": "<string>",
      "propertiesWithHistory": {},
      "url": "<string>",
      "warnings": [
        {
          "category": "<string>",
          "context": {},
          "message": "<string>"
        }
      ]
    }
  ],
  "paging": {
    "next": {
      "after": "NTI1Cg%3D%3D",
      "link": "?after=NTI1Cg%3D%3D"
    }
  }
}
{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}

Supported products

承認

Authorization
string
header
必須

The access token received from the authorization server in the OAuth 2.0 flow.

パスパラメータ

objectType
string
必須

オブジェクトの名前(「フォーキャスト」)

クエリパラメータ

after
string

最後に正常に読み取られたリソースのページ操作カーソルトークンは、より多くの結果を含むページ付きレスポンスのpaging.next.after JSONプロパティーとして返されます。

archived
boolean
デフォルト:false

アーカイブ済みの結果のみを返すかどうか。

associations
string[]

関連付けられているIDを取得するオブジェクトタイプのカンマ区切りリスト。指定された関連付けが存在しない場合は、無視されます。

limit
integer<int32>
デフォルト:10

ページごとに表示する結果の最大数。

properties
string[]

レスポンスで返されるプロパティーのカンマ区切りリスト。指定されたプロパティーがリクエストされたオブジェクトに存在しない場合は、無視されます。

propertiesWithHistory
string[]

以前の値の履歴と一緒に返されるプロパティーのカンマ区切りリスト。指定されたプロパティーがリクエストされたオブジェクトに存在しない場合は、無視されます。このパラメーターを使用することで、1回のリクエストで読み取れるオブジェクトの最大数が減ります。

レスポンス

successful operation

results
object[]
必須

SimplePublicObjectWithAssociationsの配列。それぞれはCRMオブジェクトとその関連付けられたデータを表します。

paging
object
最終更新日 2026年4月10日